> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/auction-entrypoints/place_bid.md).

# place\_bid

An entrypoint that allows anyone to place a bid in one of the active auctions.

{% hint style="warning" %}
You need to add the [Auction](/smart-contracts/dex-2.0/auction-contract.md) contract as the operator for your QUIPU tokens to make a bet.
{% endhint %}

### Call parameters

```pascaligo
type place_bid_t        is [@layout:comb] record [
  auction_id              : nat;
  bid                     : nat;
]
```

<table><thead><tr><th width="150">Field</th><th width="171.9008822003114">Type</th><th>Description</th></tr></thead><tbody><tr><td>auction_id</td><td>nat</td><td>Auction's ID</td></tr><tr><td>bid</td><td>nat</td><td>A new bet on auctions' tokens</td></tr></tbody></table>

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const auctionAddress = "KT1...";
const params = 
    auction_id: 1,
    bid: 15,
};
const auction = await tezos.contract.at(auctionAddress);
const operation = await dexCore.methodsObject.place_bid(params).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `304` - auction with the specified ID not found.
* `308` - user's bid is less than minimum bid for an auction launch or less that previous bid.
* `309` - auction is already finished or rewards are already claimed.
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).
* `FA2_NOT_OPERATOR` - [Auction](/smart-contracts/dex-2.0/auction-contract.md) contract is not an `operator` for users' QUIPU tokens.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/auction-entrypoints/place_bid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
